%define version 2.0
%define release 0.Beta1.6mdk
%define name xdelta

Summary: A binary delta generator
Name:	%{name}
Version: %{version}
Release: %{release}
Source0: ftp://www.xcf.berkeley.edu/pub/xdelta/%{name}-%{version}-beta1.tar.bz2
URL:	http://www.cs.berkeley.edu/~jmacd/xdelta.html
#(deush) path to emacs site lisp top dir
Patch0: %{name}-edsio.patch.bz2
Patch1: xdelta-2.0-beta1-alpha.patch.bz2
Patch2: xdelta-configure_db.patch.bz2
License: BSD
Group: File tools
Prereq: /sbin/install-info
Prefix: %{_prefix}
BuildRequires: db3-devel emacs glib-devel zlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description 
XDelta is a library interface and application program designed to
compute changes between files.  These changes (deltas) are similar to
the output of the "diff" program in that they may be used to store and
transmit only the changes between files.  However, unlike diff, the
output of XDelta is not expressed in a human-readable format--XDelta
can also also apply these deltas to a copy of the original file(s).
XDelta uses a fast, linear algorithm and performs well on both binary
and text files.  XDelta typically outperforms GNU diff in both time
and generated-delta-size, even for plain text files.  XDelta also
includes a simple implementation of the Rsync algorithm and several
advanced features for implementing RCS-like file-archival with.

%package -n libxdelta3
Summary: Libraries for XDelta
Group: System/Libraries
Requires: %{name}

%description -n libxdelta3
This package contains the libraries required by Xdelta application.


%package devel
Summary: Static libraries and header files for development with XDelta
Group: Development/C
PreReq: /sbin/install-info
Requires: %{name}

%description devel
This package contains the static libraries and header files
required to develop applications using Xdelta.

%prep
%setup -q -n %{name}-%{version}-beta1
%patch -p1
%ifarch alpha
# h4ck3d by  Geoff
%patch1 -p1 -b .alpha 
%endif
%patch2 -p1

%build
%ifarch alpha
automake
%endif

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
%configure
make all
cd libedsio 
emacs -batch -q -f batch-byte-compile edsio.el

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
%makeinstall
install -m 644 libedsio/{edsio.el,edsio.elc} \
	$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp

%post -n libxdelta3 -p /sbin/ldconfig

%postun -n libxdelta3 -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/xdelta2

%files -n libxdelta3
%defattr(-,root,root)
%doc COPYING README
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc doc/xdfs.ps.gz [A-Z][A-Z]*
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{prefix}/share/emacs/site-lisp/*

%changelog
* Wed Dec  5 2001 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-0.Beta1.6mdk
- update db patch to 3.3.11, add URL tag, rebuild, drop 0 byte Changelog

* Tue Sep 11 2001 Stefan van der Eijk <stefan@eijk.nu> 2.0-0.Beta1.5mdk
- BuildRequires: db3-devel
- BuildRequires: emacs

* Sat Sep 01 2001 Franois Pons <fpons@mandrakesoft.com> 2.0-0.Beta1.4mdk
- split package with new libxdelta3.
- removed binary in xdelta-devel.

* Sat Sep 01 2001 Franois Pons <fpons@mandrakesoft.com> 2.0-0.Beta1.3mdk
- created patch to compile with db-3.2.9.

* Sun Apr 22 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0-0.Beta1.2mdk
- Fix Alpha build.
- Fix bad doc files.

* Thu Dec 14 2000  Daouda Lo <daouda@mandrakesoft.com> 2.0-0.Beta1.1mdk
- beta release 
- change license (switch from GPL to BSD )
- xdfs added
- don't support old file format
 
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.1-8mdk
- automatically added BuildRequires


* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.1-7mdk
- fix bad script

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.1-6mdk
- BM

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 1.1.1-5mdk
- Release build.

* Wed Jan 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.1-4mdk
- Regnerate libtoolize.

* Thu Nov 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- rebuilt for Oxygen

* Fri Aug 20 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- fixed edsio-comp script.

* Tue Aug 19 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- First spec file for Mandrake distribution.
